Subject: CRAM-MD5 proposed text

From: Lyndon Nerenberg <[email-masked]>
Date: Thu, 22 Jan 2004 11:29:45 -0800

Sorry folks, I've been working offline for the last week and haven't 
had access to my mail archives. The text in question was proposed by 
Simon, not Sam, and reads:

      The server MUST prepare the shared secret string using the
      [SASLPrep] profile of the [StringPrep] algorithm.  The resulting
      value MUST be encoded as UTF-8 [UTF8].  The server may store the
      prepared string instead of, or as well as, the unprepared
      string, so that it does not have to prepare it every time it is
      needed for computation.  However, if the original, unprepared
      string, is not stored, it may render the computed secret to be
      incompatible with a future revisions of SASLPrep that support
      currently unassigned code points (compare section 7 of
      [StringPrep]).  It is therefor recommended to store the
      unprepared string in the database.

--lyndon